Skip to main content
PATCH
Partial update credit note (draft only)

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Headers

x-simple-workspace
string
required

Workspace (account) identifier. Required for every request.

x-piriod-test-mode
boolean
default:false

Whether to operate against test-mode data. Defaults to false.

Path Parameters

id
string
required

Resource identifier.

Body

application/json
invoice
string
required

Invoice ID this credit note adjusts.

date
string<date>
required
document
integer | null

Credit-note document type. Optional; the biller may assign one at finalize.

note
string | null
Maximum string length: 64
internal_note
string | null
Maximum string length: 1024
amount
number | null
exempt
number | null
tax
number | null
tax_percent
number | null
subtotal
number | null
total
number | null
retention
number | null
discount
number | null
discount_scheme
enum<string> | null
Available options:
%,
$
lines
object[]

Response

200 - application/json

Updated credit note.

invoice
string
required

Invoice ID this credit note adjusts.

date
string<date>
required
id
integer
read-only
document
integer | null

Credit-note document type. Optional; the biller may assign one at finalize.

number
integer
read-only
note
string | null
Maximum string length: 64
internal_note
string | null
Maximum string length: 1024
amount
number | null
exempt
number | null
tax
number | null
tax_percent
number | null
subtotal
number | null
total
number | null
retention
number | null
discount
number | null
discount_scheme
enum<string> | null
Available options:
%,
$
status
enum<string>
read-only
Available options:
draft,
finalized,
cancelled
biller_status
string
read-only
tax_agency
object
read-only
local_file
string<uri> | null
read-only
imported
boolean
read-only
test_mode
boolean
read-only
lines
object[]
created
string<date-time>
read-only
updated
string<date-time>
read-only